Home > System requirements

System requirements

For the smooth browsing of the web site operated and managed by the Graduate School of Science and Engineering, Kagoshima University (hereinafter called This School), it is recommended that you use a computer that can access the internet and that fulfills the following requirements. If the requirements are not met, necessary functions for using this site may not work, and your computer may experience symptoms such as lack of proper screen display or malfunctioning.

If you have trouble viewing PDFs or other files, it may be necessary to install a plug-in. Please download the necessary software.

Recommended OS and browser

◎When using Windows (Vista or later)

  • Microsoft Internet Explorer 8.0 or later
  • Mozilla Firefox, latest version
  • Google Chrome, latest version

*If the automatic update feature of the browser is not enabled, please update to the latest version

◎When using Macintosh(Mac OSX 10.6 or later)

  • Safari 5.x or later
  • Mozilla Firefox, the latest version
  • Google Chrome, the latest version

*If the automatic update feature of the browser is not enabled, please update to the latest version

Plug-in

To view and print out a PDF file, “Adobe Acrobat Reader” or “Adobe Reader” is required. When necessary, please download the following.

Javascript

Some pages on our website use Javascript.

If your Javascript setting is not validated in your browser, this page may not function properly or may display incorrectly. In order to view all the contents, we recommend you validate the Javascript setting for your browser.